Mail::SPF::SenderIPAddrMech(3)

NAME
Mail::SPF::SenderIPAddrMech - Abstract base class for SPF record mechanisms that operate on the SMTP sender's IP address

DESCRIPTION
Mail::SPF::SenderIPAddrMech is an abstract base class for SPF record mechanisms that operate on the SMTP sender's IP address. It cannot be instantiated directly. Create an instance of a concrete sub-class instead.

  Constructors
See "Constructors" in Mail::SPF::Mech.

  Class methods
See "Class methods" in Mail::SPF::Mech.

  Instance methods
See "Instance methods" in Mail::SPF::Mech.

SEE ALSO
Mail::SPF, Mail::SPF::Record, Mail::SPF::Mech

Mail::SPF::Mech::IP4, Mail::SPF::Mech::IP6, Mail::SPF::Mech::A, Mail::SPF::Mech::MX, Mail::SPF::Mech::PTR

<http://tools.ietf.org/html/rfc4408>

For availability, support, and license information, see the README file included with Mail::SPF.

AUTHORS
Julian Mehnle <julian@mehnle.net>